Package com.google.gwt.aria.client

## Interface ListitemRole

- All Superinterfaces:
    `Role`, `SectionRole`, `StructureRole`
  All Known Subinterfaces:
    `TreeitemRole`
  All Known Implementing Classes:
    `ListitemRoleImpl`, `TreeitemRoleImpl`

      public interface ListitemRole
      extends SectionRole

  A type that represents the listitem role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAriaLevelProperty​(Element element)` | Returns the value of the aria-level attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaPosinsetProperty​(Element element)` | Returns the value of the aria-posinset attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaSetsizeProperty​(Element element)` | Returns the value of the aria-setsize attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaLevelProperty​(Element element)` | Removes the aria-level attribute from the `element`.
    `void` | `removeAriaPosinsetProperty​(Element element)` | Removes the aria-posinset attribute from the `element`.
    `void` | `removeAriaSetsizeProperty​(Element element)` | Removes the aria-setsize attribute from the `element`.
    `void` | `setAriaLevelProperty​(Element element, int value)` | Sets the aria-level attribute for the `element` to the given `value`.
    `void` | `setAriaPosinsetProperty​(Element element, int value)` | Sets the aria-posinset attribute for the `element` to the given `value`.
    `void` | `setAriaSetsizeProperty​(Element element, int value)` | Sets the aria-setsize attribute for the `element` to the given `value`.

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

    - ### Methods inherited from interface com.google.gwt.aria.client.SectionRole

      `getAriaExpandedState, removeAriaExpandedState, setAriaExpandedState`

- - ### Method Detail

    - #### getAriaLevelProperty

          java.lang.String getAriaLevelProperty​(Element element)

      Returns the value of the aria-level attribute for the `element` or "" if no such attribute is present.

    - #### getAriaPosinsetProperty

          java.lang.String getAriaPosinsetProperty​(Element element)

      Returns the value of the aria-posinset attribute for the `element` or "" if no such attribute is present.

    - #### getAriaSetsizeProperty

          java.lang.String getAriaSetsizeProperty​(Element element)

      Returns the value of the aria-setsize attribute for the `element` or "" if no such attribute is present.

    - #### removeAriaLevelProperty

          void removeAriaLevelProperty​(Element element)

      Removes the aria-level attribute from the `element`.

    - #### removeAriaPosinsetProperty

          void removeAriaPosinsetProperty​(Element element)

      Removes the aria-posinset attribute from the `element`.

    - #### removeAriaSetsizeProperty

          void removeAriaSetsizeProperty​(Element element)

      Removes the aria-setsize attribute from the `element`.

    - #### setAriaLevelProperty

          void setAriaLevelProperty​(Element element,
                                    int value)

      Sets the aria-level attribute for the `element` to the given `value`.

    - #### setAriaPosinsetProperty

          void setAriaPosinsetProperty​(Element element,
                                       int value)

      Sets the aria-posinset attribute for the `element` to the given `value`.

    - #### setAriaSetsizeProperty

          void setAriaSetsizeProperty​(Element element,
                                      int value)

      Sets the aria-setsize attribute for the `element` to the given `value`.